# $Revision: 1.14 $, $Date: 2004/08/25 14:26:01 $
%define zlib_v	1.1.3
Summary:	program that helps users recover their files from password protected zip archives
Summary(pl):	program pozwalajcy na odzyskiwanie plikw z archiww zip zabezpieczonych hasem
Name:		zipcracker
Version:	0.1.1
Release:	3
License:	GPL
Group:		Applications/Archiving
Source0:	http://dl.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
# Source0-md5:	53eff1305484cb1fd08516023e6123fe
# DO NOT USE SYSTEM SHARED ZLIB --misiek
Source1:	http://www.gzip.org/zlib/zlib-%{zlib_v}.tar.gz
# Source1-md5:	ada18615d2a66dee4d6f5ff916ecd4c6
Patch0:		%{name}-gettext.patch
Patch1:		%{name}-zlib.patch
Patch2:		http://zipcracker.sourceforge.net/zlib-%{zlib_v}.patch.gz
URL:		http://zipcracker.sourceforge.net/
BuildRequires:	gnome-libs-devel >= 1.0.0
BuildRequires:	gtk+-devel >= 1.2.0
BuildRequires:	pvm-devel >= 3.4.2
BuildRequires:	ORBit-devel
BuildRequires:	automake
BuildRequires:	autoconf
BuildRequires:	libtool
BuildRequires:	gettext-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/X11/GNOME

%description
ZipCracker is a program that helps users recover their files from
password protected zip archives, when the user has forgotten the
password. ZipCracker uses brute force to find the password.

%description -l pl
ZipCracker to program pozwalajcy na odzyskiwanie plikw z archiww
zip zabezpieczonych hasem w przypadkach gdu uytkownik zapomnia
hasa. ZipCracker do znalezienia hasa uywa metody brute force.

%prep
%setup -q -a1
%patch0 -p1
%patch1 -p1
cd zlib-%{zlib_v}
%patch2 -p0

%build
rm -f missing
%{__libtoolize}
%{__gettextize}
%{__aclocal} -I %{_aclocaldir}/gnome
%{__autoconf}
%{__automake}
ln -s zlib-%{zlib_v} zlib
cd zlib-%{zlib_v}
CFLAGS="-D_REENTRANT -fPIC %{rpmcflags}"
CC="%{__cc}"
export CFLAGS CC
./configure
%{__make} libz.a
cd ..
unset CFLAGS CC
CPPFLAGS="-I$PWD/zlib-%{zlib_v}"
export CPPFLAGS
%configure \
	--with-gnome \
	--with-pvm
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README* TODO
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: zipcracker.spec,v $
Revision 1.14  2004/08/25 14:26:01  undefine
- release 3

Revision 1.13  2003/06/27 12:42:58  misi3k
- std sf url

Revision 1.12  2003/05/26 16:25:54  malekith
- massive attack: adding Source-md5

Revision 1.11  2003/05/25 06:28:45  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2003/01/18 22:59:38  juandon
- removed two lines with define

Revision 1.9  2002/10/09 13:14:52  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.8  2002/06/30 19:31:38  marcus
- use new %%doc
- rel.2.

Revision 1.7  2002/06/23 20:52:54  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.6  2002/06/23 20:32:37  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.5  2002/05/21 23:15:09  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.4  2002/03/24 23:28:28  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.3  2002/02/22 23:30:12  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.2  2002/01/18 02:15:48  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.1  2002/01/13 10:29:15  misiek
- new spec


